
=encoding utf8

=head1 NAME

Sidef::Perl::Perl

=head1 DESCRIPTION

This class implements support for evaluating arbitrary Perl code inside a Sidef script.

The result is implicitly converted into a Sidef data structure.

=head1 SYNOPSIS

    var r = Perl.eval('my $x = 42; sqrt($x)')

=head1 METHODS

=head2 eval

    Perl.eval(perl_code)

Evaluates the given Perl code and returns a Sidef data structure.

=cut

=head2 new

    var obj = Perl.new

Builds and returns a new Perl object.

=cut

=head2 to_sidef

    Perl.to_sidef(perl_structure)

Converts a given a Perl data structure into a Sidef data structure.

=cut
